"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.promiseAllProperties = void 0;
function promiseAllProperties(promisesMap) {
    if (!(typeof process !== undefined && process.env.NODE_ENV === 'production') &&
        (promisesMap === null ||
            typeof promisesMap !== 'object' ||
            Array.isArray(promisesMap))) {
        return Promise.reject(new TypeError('The input argument must be a plain object'));
    }
    const keys = Object.keys(promisesMap);
    const promises = keys.map((key) => {
        return promisesMap[key];
    });
    return Promise.all(promises).then(results => {
        return results.reduce((resolved, result, index) => {
            resolved[keys[index]] = result;
            return resolved;
        }, {});
    });
}
exports.default = promiseAllProperties;
exports.promiseAllProperties = promiseAllProperties;
//# sourceMappingURL=promiseAllProperties.js.map